@ECHO OFF
Set home=%CD%

:menu
echo ***************MENU****************
echo 1- Mod launcher wallpaper scrolling
echo 2- Restore original Launcher
echo 3- Exit
SET /P menunr=Please make your decision:
IF %menunr%==3 (goto quit) ELSE (
goto adb_mount)

:adb_mount
echo Restarting ADB Server...
adb kill-server
adb start-server
echo Done.
echo Changing ADB to root...
adb root
echo Done.
echo Mounting System...
adb shell mount /system
echo Done.
echo Checking ability to write to the device and read from it...
adb push adb_test\test.test /system/app/
adb pull /system/app/test.test
adb shell rm /system/app/test.test
echo Done.
IF %menunr%==1 (goto Mod_WP_No-Scroll)
IF %menunr%==2 (goto Restore_Launcher)

:Mod_WP_No-Scroll
echo Pulling framework-res.apk from device... >>log.txt 2>&1
echo Pulling framework-res.apk from device...
adb pull /system/framework/framework-res.apk >>log.txt 2>&1
echo Done. >>log.txt 2>&1
echo Done.
echo Installing framework resources... >>log.txt 2>&1
echo Installing framework resources...
java -jar apktool.jar if "%home%\framework-res.apk" >log.txt 2>&1
echo Done.
echo Pulling Launcher from device...>>log.txt 2>&1
echo Pulling Launcher from device...
adb pull /system/app/Launcher2.apk >>log.txt 2>&1
xcopy "%home%\Launcher2.apk" "%home%\backup" /y >>log.txt 2>&1
echo Done. >>log.txt 2>&1
echo Done.
echo Decompiling Luncher... >>log.txt 2>&1
echo Decompiling Luncher...
java -jar apktool.jar d -f Launcher2.apk >>log.txt 2>&1
echo Done. >>log.txt 2>&1
echo Done.
echo Editing Launcher.smali...  >>log.txt 2>&1
echo Editing Launcher.smali...
fart "%home%\launcher2\smali\com\android\launcher2\Launcher.smali" "mul-int/lit8 v5, v3, 0x2" "mul-int/lit8 v5, v3, 0x1" >>log.txt 2>&1
echo Done. >>log.txt 2>&1
echo Done.
echo Building Launcher... >>log.txt 2>&1
echo Building Launcher...
java -jar apktool.jar b Launcher2 >>log.txt 2>&1
echo Done. >>log.txt 2>&1
echo Done.
echo Moving classes.dex to Luncher... >>log.txt 2>&1
echo Moving classes.dex to Luncher...
7za a -tzip "%home%\launcher2.apk" "%home%\launcher2\build\apk\classes.dex" -mx3 >>log.txt 2>&1
echo Done. >>log.txt 2>&1
echo Done.
echo pressing any key will push the edited Launcher to your device, if you think something went wrong, please close this window and nothing will be done.
pause
echo Pushing Launcher to device... >>log.txt 2>&1
echo Pushing Launcher to device...
adb push Launcher2.apk /system/app >>log.txt 2>&1
echo Done.
echo You may now reboot and see the changes.
pause
cls
goto menu

:Restore_Launcher
echo Restoring original Launcher...
adb push "%home%\backup\Launcher2.apk" /system/app
echo Done.
echo You may now reboot and see the changes.
pause
cls
goto menu

:quit